# norootforbuild

%define     soname      98
%define     svn         20100624
%define     binname     x264-%{soname}
%define     realname    libx264

Name:           %{binname}
Summary:        A free h264/avc encoder - encoder binary
Version:        0.98svn%{svn}
Release:        2.2
License:        GNU General Public License (GPL)
Group:          Productivity/Multimedia/Video/Editors and Convertors
URL:            http://developers.videolan.org/x264.html
Source0:        ftp://ftp.videolan.org/pub/videolan/x264/snapshots/x264-snapshot-%{svn}-2245.tar.bz2
BuildRoot:      %{_tmppath}/build-root-%{name}
Requires:       %{realname}-%{soname} = %{version}-%{release}
BuildRequires:  nasm
BuildRequires:  yasm

%description 
x264 is a free library for encoding next-generation H264/AVC video
streams. The code is written from scratch by Laurent Aimar, Loren
Merritt, Eric Petit (OS X), Min Chen (vfw/asm), Justin Clay (vfw), Mans
Rullgard, Radek Czyz, Christian Heine (asm), Alex Izvorski (asm), and
Alex Wright. It is released under the terms of the GPL license. This
package contains a shared library and a commandline tool for encoding
H264 streams. This library is needed for mplayer/mencoder for H264
encoding support.

Encoder features:
- CAVLC/CABAC
- Multi-references
- Intra: all macroblock types (16x16, 8x8, and 4x4 with all predictions)
- Inter P: all partitions (from 16x16 down to 4x4)
- Inter B: partitions from 16x16 down to 8x8 (including skip/direct)
- Ratecontrol: constant quantizer, single or multipass ABR, optional VBV
- Scene cut detection
- Adaptive B-frame placement
- B-frames as references / arbitrary frame order
- 8x8 and 4x4 adaptive spatial transform
- Lossless mode
- Custom quantization matrices
- Parallel encoding of multiple slices (currently disabled)

Be aware that the x264 library is still in early development stage. The
command line tool x264 can handle only raw YUV 4:2:0 streams at the
moment so please use mencoder or another tool that supports x264 library
for all other file types.

%package -n %{realname}-%{soname}
Summary:        A free h264/avc encoder - encoder binary
Group:          Productivity/Multimedia/Video/Editors and Convertors

%description -n %{realname}-%{soname}
x264 is a free library for encoding next-generation H264/AVC video
streams. The code is written from scratch by Laurent Aimar, Loren
Merritt, Eric Petit (OS X), Min Chen (vfw/asm), Justin Clay (vfw), Mans
Rullgard, Radek Czyz, Christian Heine (asm), Alex Izvorski (asm), and
Alex Wright. It is released under the terms of the GPL license. This
package contains a static library and a header needed for the
development with libx264. This library is needed to build
mplayer/mencoder with H264 encoding support.

%package -n %{realname}-%{soname}-devel
Summary:        Libraries and include file for the x264 encoder
Group:          Development/Libraries/C and C++
Requires:       %{realname}-%{soname} = %{version}-%{release}
Requires:       %{buildrequires}
Obsoletes:      x264-devel < %{version}-%{release}
Provides:       x264-devel = %{version}-%{release}

%description -n %{realname}-%{soname}-devel
x264 is a free library for encoding next-generation H264/AVC video
streams. The code is written from scratch by Laurent Aimar, Loren
Merritt, Eric Petit (OS X), Min Chen (vfw/asm), Justin Clay (vfw), Mans
Rullgard, Radek Czyz, Christian Heine (asm), Alex Izvorski (asm), and
Alex Wright. It is released under the terms of the GPL license. This
package contains a static library and a header needed for the
development with libx264. This library is needed to build
mplayer/mencoder with H264 encoding support.



%prep
%setup -q -n "x264-snapshot-%{svn}-2245"

%build
%configure --enable-shared --enable-pic
%__make %{?jobs:-j%{jobs}}


%install
%makeinstall

%{__rm} -f "%{buildroot}/%{_libdir}/libx264.so"
%{__rm} -f "%{buildroot}/%{_libdir}/libx264.a"
%{__rm} -rf "%{buildroot}/%{_bindir}"
%{__ln_s} libx264.so.%{soname} "%{buildroot}%{_libdir}/libx264.so"

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%post -n %{realname}-%{soname} -p /sbin/ldconfig
%postun -n %{realname}-%{soname} -p /sbin/ldconfig

%files -n %{realname}-%{soname}
%defattr(0644,root,root)
%attr(0755,root,root) %{_libdir}/libx264.so.%{soname}

%files -n %{realname}-%{soname}-devel
%defattr(0644,root,root)
%{_libdir}/pkgconfig/x264.pc
%{_includedir}/x264.h
%{_libdir}/libx264.so

%changelog
* Tue Oct 24 2010 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 0.98svn20100624-0.pm.0
- providing older version 20100624

* Tue Aug 25 2009 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 0.0svn20090824-0.pm.0
- updated to snapshot 20090624

* Sat Jun 27 2009 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- updated to snapshot 20090627

* Sun May 10 2009 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- updated to snapshot 20090510

* Sun Mar 10 2009 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- updated to snapshot 20090310

* Sat Feb 07 2009 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- updated to snapshot 20090206

* Thu Nov 06 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de> r65-0.pm.1
- updated to snapshot 20081105

* Sat Oct 04 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de> r65-0.pm.0
- updated to snapshot 20081004

* Wed Sep 17 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de> r64-0.pm.0
- updated to snapshot 20080917

* Thu Aug 14 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de> r60-0.pm.2
- updated to snapshot 20080814
- recompile with new yasm version

* Sat Aug 09 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de> r60-0.pm.1
- updated to snapshot 20080809

* Tue Jun 17 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de> r60
- updated to snapshot 20080617
- also included snapshot 20071225 lib for compatibility reasons

* Wed Apr 30 2008 Pascal Bleser <guru@unixtech.be> r57-0.pm.3
- fixed file permissions for shlib, needs 0755 and not 0644

* Wed Apr 30 2008 Pascal Bleser <guru@unixtech.be> r57-0.pm.2
- fixed file permissions, thanks to Christian Morales Vega <cmorve69@yahoo.es>

* Mon Dec 31 2007 Pascal Bleser <guru@unixtech.be> r57-0.pm.1
- made Requires in main package require the exact version-release
- fixed License tag according to 10.3 packaging policies
- added Provides/Obsoletes for proper upgrading of x264=>libx264-devel

* Wed Dec 26 2007 Leon Freitag <leon@links2linux.de> r57
- updated to snapshot 20071225
- changed the spec according to the new library policy, thanks Detlef
- changed the group according to SPC guidelines

* Mon Nov 06 2006 Detlef Reichelt <detlef@links2linux.de> r54
- update to snapshot-20061031-2245

* Wed Nov 01 2006 Leon Freitag <leon@links2linux.de> r54
- new release

* Wed Apr 26 2006 - Leon Freitag <leon@links2linux.de> r46
- updated to the newest tarball (to fix PPC compiling)
- match the new library revision (libx264.so.46)

* Tue Apr 18 2006 - Leon Freitag <leon@links2linux.de>
- updated to the newest tarball
- removed the syntax patch since it has been merged
- remove yasm from BuildRequires on x86

* Wed Mar 22 2006 - Henne Vogelsang <henne@links2linux.de>
- introduce a build section <:)
- full url for source

* Sat Mar 18 2006 - Leon Freitag <leon@links2linux.de> 0.0svn20060318
- Initial release for packman.
